/fal-ai/kling-video/v2.5-turbo/pro/image-to-video
Official docs: https://fal.ai/models/fal-ai/kling-video/v2.5-turbo/pro/image-to-video
POST
/fal-ai/kling-video/v2.5-turbo/pro/image-to-videoBody Parametersapplication/json
cfg_scale number
Range: 0–1
duration string
Generated video duration enum: 5, 10
image_url* string
Image URL; accepted: jpg, jpeg, png, webp, gif, avif
negative_prompt string
Negative prompt (content to avoid)
prompt* string
Prompt
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"cfg_scale": 0.5,
3"duration": "5",
4"image_url": "https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg",
5"negative_prompt": "blur, distort, and low quality",
6"prompt": "A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they vie for victory."
7}
1curl -X POST "https://api.digislash.com/fal-ai/kling-video/v2.5-turbo/pro/image-to-video" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"cfg_scale": 0.5,
6"duration": "5",
7"image_url": "https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg",
8"negative_prompt": "blur, distort, and low quality",
9"prompt": "A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they vie for victory."
10}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc/cancel",
3"metrics": {},
4"queue_position": 0,
5"request_id": "727028ec-aa98-4073-9bcd-0acb386abcfc",
6"response_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc",
7"status": "IN_QUEUE",
8"status_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc/status"
9}
